lgt2svg(1)

NAME
lgt2svg - Logtalk script for converting .d2 and .dot diagram files into SVG files

SYNOPSIS
lgt2svg [-c command] [-- arguments]
lgt2svg [-l layout] [-- arguments]
lgt2svg -v
lgt2svg -h

DESCRIPTION
lgt2svg is a Logtalk script for converting .d2 and .dot diagram files generated by the diagrams tool in the current directory into SVG files.

OPTIONS

-c  Graphviz command (valid values are dot, circo, fdp and neato; default is dot).

-l  d2 layout (valid values are dagre, elk and tala; default is elk).

--  Arguments to be passed to the converter command (no default).

REQUIREMENTS
Requires recent versions of Graphviz and d2 installed with the command-line executables available from the system PATH.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKUSER/tools/diagrams/diagrams.css
    CSS file styling the SVG diagram files.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk diagrams tool documentation at https://logtalk.org/docs/handbook/devtools/diagrams.html

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2025 Paulo Moura.